Package org.apache.any23.vocab

## Class LKIFCoreRelativePlaces

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.LKIFCoreRelativePlaces

-     public class LKIFCoreRelativePlaces
      extends Vocabulary

  An implementation of the lkif-core vocabulary which is a library of ontologies relevant for the legal domain. The library consists of 15 modules, each of which describes a set of closely related concepts from both legal and commonsense domains.

  The place module partially implements the theory of relative places (Donnelly, 2005) in OWL DL.

  Author:
    lewismc

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.eclipse.rdf4j.model.IRI` | `Absolute_Place` |
    `org.eclipse.rdf4j.model.IRI` | `abut` |
    `org.eclipse.rdf4j.model.IRI` | `Comprehensive_Place` |
    `org.eclipse.rdf4j.model.IRI` | `connect` |
    `org.eclipse.rdf4j.model.IRI` | `cover` |
    `org.eclipse.rdf4j.model.IRI` | `covered_by` |
    `org.eclipse.rdf4j.model.IRI` | `exactly_coincide` |
    `org.eclipse.rdf4j.model.IRI` | `externally_connect` |
    `org.eclipse.rdf4j.model.IRI` | `in` |
    `org.eclipse.rdf4j.model.IRI` | `location_complex` |
    `org.eclipse.rdf4j.model.IRI` | `Location_Complex` |
    `org.eclipse.rdf4j.model.IRI` | `location_complex_for` |
    `org.eclipse.rdf4j.model.IRI` | `meet` |
    `static String` | `NS` | The namespace of the vocabulary as a string.
    `org.eclipse.rdf4j.model.IRI` | `overlap` |
    `org.eclipse.rdf4j.model.IRI` | `partially_coincide` |
    `org.eclipse.rdf4j.model.IRI` | `Place` |
    `org.eclipse.rdf4j.model.IRI` | `Relative_Place` |
    `org.eclipse.rdf4j.model.IRI` | `relatively_fixed` |
    `org.eclipse.rdf4j.model.IRI` | `spatial_reference` |
    `org.eclipse.rdf4j.model.IRI` | `spatial_relation` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LKIFCoreRelativePlaces` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      The namespace of the vocabulary as a string.
      See Also:
        Constant Field Values

    - #### Absolute_Place

          public final org.eclipse.rdf4j.model.IRI Absolute_Place

    - #### Comprehensive_Place

          public final org.eclipse.rdf4j.model.IRI Comprehensive_Place

    - #### Location_Complex

          public final org.eclipse.rdf4j.model.IRI Location_Complex

    - #### Place

          public final org.eclipse.rdf4j.model.IRI Place

    - #### Relative_Place

          public final org.eclipse.rdf4j.model.IRI Relative_Place

    - #### abut

          public final org.eclipse.rdf4j.model.IRI abut

    - #### connect

          public final org.eclipse.rdf4j.model.IRI connect

    - #### cover

          public final org.eclipse.rdf4j.model.IRI cover

    - #### covered_by

          public final org.eclipse.rdf4j.model.IRI covered_by

    - #### exactly_coincide

          public final org.eclipse.rdf4j.model.IRI exactly_coincide

    - #### externally_connect

          public final org.eclipse.rdf4j.model.IRI externally_connect

    - #### in

          public final org.eclipse.rdf4j.model.IRI in

    - #### location_complex

          public final org.eclipse.rdf4j.model.IRI location_complex

    - #### location_complex_for

          public final org.eclipse.rdf4j.model.IRI location_complex_for

    - #### meet

          public final org.eclipse.rdf4j.model.IRI meet

    - #### overlap

          public final org.eclipse.rdf4j.model.IRI overlap

    - #### partially_coincide

          public final org.eclipse.rdf4j.model.IRI partially_coincide

    - #### relatively_fixed

          public final org.eclipse.rdf4j.model.IRI relatively_fixed

    - #### spatial_reference

          public final org.eclipse.rdf4j.model.IRI spatial_reference

    - #### spatial_relation

          public final org.eclipse.rdf4j.model.IRI spatial_relation

  - ### Method Detail

    - #### getInstance

          public static LKIFCoreRelativePlaces getInstance()